<div class="video-container">

  <video autoplay muted loop id="myVideo">
    <source src="assets/videos/video.mp4" type="video/mp4">
  </video>

  <div class="content">
      <h1 (click)="startType()">WOMEN {{ typewriterDisplay }} EVERYTHING.</h1>
      <div><input class="input-text" type="text" placeholder="I want to..." /></div>
      <button class="get-started">Get Started</button>
    </div>
  <div class="color-overlay"></div>
</div>
  <!-- Optional: some overlay text to describe the video -->


<div class="section-featured-users">
  <div class="platform-section">
    <img src="assets/images/picture_1.png">
    <div>
        <p>A PLATFORM
          <br />FOR WOMEN
          <br/>BY WOMEN <br/>
          TO SHARE AND
          <br/>LEARN</p>
    </div>
  </div>

  <div class="carousel-section">
    <h1 class="carousel-title">WOMEN ON GATHER TODAY</h1>
    <div id="myCarousel" class="carousel slide" data-ride="carousel" *ngIf="users$ | async; let users">

      <!-- Wrapper for slides -->
      <div class="carousel-inner">
        <div
          class="item"
          [class.active]="user.id === 1"
          *ngFor="let user of users"
          (click)="goToProfile(user.id)">
          <div class="media">
            <div class="media-left">
              <img class="media-object featured-user" src="{{ user.photoUrl }}" alt="...">
            </div>
            <div class="media-body">
              <h4 class="media-heading featured-user-heading">{{ user.name }}</h4>
              <p class="media-body--position featured-user-position">{{ user.position }}</p>
              <p class="media-body--description featured-user-desc">{{ user.description | slice:0:100}}...</p>
            </div>
          </div>
        </div>
      </div>

      <!-- Right controls -->
      <a class="right carousel-control" href="#myCarousel" data-slide="next">
        <img src="assets/images/arrow.png" width="100">
        <span class="sr-only">Next</span>
      </a>
    </div>
  </div>
</div>

<div class="row featured-events" *ngIf="featuredEvents | async; let events">
  <h1 class="h-events">Gatherings Near You</h1>
  <div class="row" *ngIf="featuredEvents | async; let events">
    <div class="col-sm-4" *ngFor="let event of events">
      <div class="thumbnail clickable">
        <img src="{{ event.photoUrl }}" alt="...">
        <div class="caption featured-events-desc">
          <p class="featured-events-date">{{ event.date }}</p>
          <h3 class="featured-events-title">{{ event.title }}</h3>
          <p class="featured-events-description">{{ event.description | slice:0:80}}...</p>
          <!-- <p><a href="{{ event.eventUrl }}" class="btn btn-primary" role="button">Visit Event</a></p> -->
        </div>
      </div>
    </div>
  </div>
</div>

<div class="row partners">
  <div class="col-sm-12">
    <h1>Our Partners</h1>
  </div>
  <div class="col-sm-12">
    <img src="assets/images/logos_bw.png" width="100%"/>
  </div>
</div>

<div class="row cta2">
  <div class="col-sm-12">
    <p>Learn through gatherings. Be part of the community. Build your resume.</p>
  </div>

  <div class="col-sm-12">
    <input type="email" placeholder="Your Email"/>
    <br/><button>Join Now</button>
  </div>
</div>

<div class="footer">
  <div class="col-sm-12"><h4>©Codebaes 2018</h4></div>
</div>
